PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData Struct Referenceabstract
Inheritance diagram for plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData:
[legend]
Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData:
[legend]

## Public Member Functions
| ComputedData (FreeCarrierGainSolver3D *solver, const shared_ptr< const MeshD< 3 > > &dst_mesh)
void | compute (double wavelength, InterpolationMethod interp)
virtual DataVector< Tensor2< double > > | getValues (double wavelength, InterpolationMethod interp, size_t reg, const AveragedData &concs, const AveragedData &temps)=0
Tensor2< double > | at (size_t i) const override
Public Member Functions inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >
| DataBase (FreeCarrierGainSolver3D *solver, const shared_ptr< const MeshD< 3 > > &dst_mesh)
size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DT >
virtual | ~LazyDataImpl ()
virtual DT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const DT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DT > | claim () const

## Public Attributes
std::vector< DataVector< Tensor2< double > > > | data
| Computed interpolations in each active region.
Public Attributes inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >
FreeCarrierGainSolver3D * | solver
| Solver.
shared_ptr< const MeshD< 3 > > | dest_mesh
| Destination mesh.
InterpolationFlags | interpolation_flags
| Interpolation flags.
std::vector< CompressedSetOfNumbers<> > | regions
| Map from destination mesh to active region.

## Additional Inherited Members
Public Types inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >
typedef FreeCarrierGainSolver3D::ActiveRegionParams | ActiveRegionParams
Public Types inherited from plask::LazyDataImpl< DT >
typedef DT | CellType

## Detailed Description

Definition at line 252 of file freecarrier3d.cpp.

## Constructor & Destructor Documentation

## ◆ ComputedData()

plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData::ComputedData | ( | FreeCarrierGainSolver3D * | solver,
|  | const shared_ptr< const MeshD< 3 > > & | dst_mesh
| ) |  |
| inline

Definition at line 258 of file freecarrier3d.cpp.

## Member Function Documentation

## ◆ at()

Tensor2< double > plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData::at | ( | size_t | i | ) | const
| inline override

Definition at line 281 of file freecarrier3d.cpp.

## ◆ compute()

void plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData::compute | ( | double | wavelength,
|  | InterpolationMethod | interp
| ) |  |
| inline

Definition at line 261 of file freecarrier3d.cpp.

## ◆ getValues()

virtual DataVector< Tensor2< double > > plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData::getValues | ( | double | wavelength,
|  | InterpolationMethod | interp,
|  | size_t | reg,
|  | const AveragedData & | concs,
|  | const AveragedData & | temps
| ) |  |
| pure virtual

Implemented in plask::gain::freecarrier::FreeCarrierGainSolver3D::GainData, and plask::gain::freecarrier::FreeCarrierGainSolver3D::DgdnData.

## Member Data Documentation

## ◆ data

std::vector<DataVector<Tensor2<double> > > plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData::data

Computed interpolations in each active region.

Definition at line 256 of file freecarrier3d.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier3d.cpp